Skip to main content
POST

Update the vetted packages of this participant

Authorizations

httpAuth

string
required
HTTP bearer authentication. Send the token as Authorization: Bearer <token>. Ledger API standard JWT token

apiKeyAuth

string
required
API key authentication in the header. Ledger API standard JWT token (websocket)

Body

application/json
object[]
required
OpenAPI type: VettedPackagesChange[].Changes to apply to the current vetting state of the participant on the specified synchronizer. The changes are applied in order. Any package not changed will keep their previous vetting state. Required: must be non-empty
boolean
If dry_run is true, then the changes are only prepared, but not applied. If a request would trigger an error when run (e.g. TOPOLOGY_DEPENDENCIES_NOT_VETTED), it will also trigger an error when dry_run. Use this flag to preview a change before applying it. Defaults to false. Optional
string
If set, the requested changes will take place on the specified synchronizer. If synchronizer_id is unset and the participant is only connected to a single synchronizer, that synchronizer will be used by default. If synchronizer_id is unset and the participant is connected to multiple synchronizers, the request will error out with PACKAGE_SERVICE_CANNOT_AUTODETECT_SYNCHRONIZER. Optional
object
OpenAPI type: PriorTopologySerial.The serial of last VettedPackages topology transaction on a given participant and synchronizer.
string[]
Controls whether potentially unsafe vetting updates are allowed. Optional: can be empty

Responses

200

application/json
VettedPackages
The list of packages vetted on a given participant and synchronizer, modelled after VettedPackages in topology.proto <https://github.com/digital-asset/canton/blob/main/community/base/src/main/protobuf/com/digitalasset/canton/protocol/v30/topology.proto#L206>_. The list only contains packages that matched a filter in the query that originated it.
VettedPackages
required
The list of packages vetted on a given participant and synchronizer, modelled after VettedPackages in topology.proto <https://github.com/digital-asset/canton/blob/main/community/base/src/main/protobuf/com/digitalasset/canton/protocol/v30/topology.proto#L206>_. The list only contains packages that matched a filter in the query that originated it.

400

Invalid value, Invalid value for: body
text/plain
string
required

default

application/json
string
required
string
required
string
string
Map_String
required
Tuple2_String_String[]
integer (int32)
required
integer (int32)
string
boolean

History

Updated3.5

The POST /v2/package-vetting/update operation was updated in this snapshot.

Added3.4